jdk报错

转载 2018年04月17日 11:56:39

报错内容:

在此行找到多个注释:
- 字符串不能解析为类型
- 类型为HttpServletRequest的方法getContextPath()引用缺少的类型String


解决办法:

首先右击该项目 - Build Path - 配置Build Path,在库选项下,会发现有个出错的jre Libraries,将其删除掉。

然后右击该项目 - 构建路径 - 添加库,选择JRE系统库,选择工作区默认JRE(jdk1.6)(此前JDK已成功安装并配置好),然后完成。

解决jdk api打不开的问题

  • 2015年03月25日 10:26
  • 12KB
  • 下载

eclipse 更换 JDK 版本后报错

在实际开发过程中,可能由于项目的需要,我们需要更换 JDK 的版本。但是更换后会报错,如下: Java compiler level does not match the version of ...
  • z59d8m6e40
  • z59d8m6e40
  • 2017-06-01 22:41:09
  • 883

Myeclipse导入项目之后报错,修改JDK并且重新编译之后仍然报错

试网上的很多方法,包括更改Complier等等,最后同事告诉我可以试试调整一下Order and Export里面几个Library的顺序位置就可以了。 具体位置:BuildPath-->Confi...
  • weixin_40160720
  • weixin_40160720
  • 2017-11-04 15:28:29
  • 297

解决maven项目报错问题----指定jdk版本号

maven中jdk的配置分为全局配置和局部配置两种方式。    全局配置     全局配置是指在${MAVEN_HOME}\conf\settings.xml中进行配置,注${MAVEN_HOME...
  • chen_pt
  • chen_pt
  • 2016-12-02 17:30:56
  • 2161

@Override报错, 因为升级jdk项目出现java版本问题

@Override报错:因为jdk版本问题。@Override是jdk5就已经存在了,但是不支持接口的实现,认为这不是Override而报错,jdk6及也上版本修正了这个Bug。 解决办法:1.就是...
  • jx2931455
  • jx2931455
  • 2016-01-15 11:12:16
  • 1056

eclipse启动时jdk环境变量报错解决

eclipse启动jdk报错
  • gongzi2311
  • gongzi2311
  • 2016-06-12 11:00:44
  • 5422

linux系统下安装jdk出现的错误

在环境变量设定完成后 输入检测命令javac 出现: root@wingsgod-pc:~# javac 程序 'javac' 已包含在下列软件包中:  * default-jdk  * ecj  ...
  • qq_35448976
  • qq_35448976
  • 2016-11-30 15:57:29
  • 3175

centOS7系统安装jdk异常报错解决方法

centos安装jdk-7u15-linux-x64.rpm异常解决方法 首先先将jdk-7u15-linux-x64.rpm放到usr/locl/src目录下 [root@localhost ~]#...
  • weixin_38614324
  • weixin_38614324
  • 2017-05-05 16:12:06
  • 157

java jdk版本导致的@override 报错处理

在我们导入别人的项目的时候会出现@override报错,点击错误时直接让我们remove掉@override。但是这样不会根本解决问题。解决的办法很简单,只要我们修改jdk的版本就可以解决这个问题。 ...
  • w410589502
  • w410589502
  • 2016-06-16 16:20:21
  • 2116

JDK版本不一致导致导入的项目报错

平时做项目时难免会从git,svn下载代码或者把别人的项目文件导入到自己的MyEclipse中进行操作,因此会遇到很多问题,常见的有一种是使用的jdk版本不一致造成的报错, 错误案例:     错...
  • SH_King
  • SH_King
  • 2015-07-13 14:07:55
  • 8546
收藏助手
不良信息举报
您举报文章:jdk报错
举报原因:
原因补充:

(最多只允许输入30个字)